function S=gitinfo()
% FUNCTION fc_meshtools.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2018-2020 F. Cuvelier <cuvelier@math.univ-paris13.fr>
%
  S=struct('name','fc-meshtools', 'tag','0.1.2','commit','7ab773f66e612beb5203441f9d9c832d4f6e497a','date', '2020-01-25','time','09-28-26','status',0);return; % automatically updated
  rep=fc_meshtools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-meshtools','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
